<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Tue Apr 28 15:50:05 CEST 2020 -->
<title>StateBasedAnalysisResourceFactoryImpl</title>
<meta name="date" content="2020-04-28">
<link rel="stylesheet" type="text/css" href="../../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="StateBasedAnalysisResourceFactoryImpl";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/StateBasedAnalysisResourceFactoryImpl.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedAnalysis/util/StateBasedAnalysisAdapterFactory.html" title="class in org.polarsys.chess.chessmlprofile.Dependability.StateBased.StateBasedAnalysis.util"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedAnalysis/util/StateBasedAnalysisResourceImpl.html" title="class in org.polarsys.chess.chessmlprofile.Dependability.StateBased.StateBasedAnalysis.util"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../index.html?org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedAnalysis/util/StateBasedAnalysisResourceFactoryImpl.html" target="_top">Frames</a></li>
<li><a href="StateBasedAnalysisResourceFactoryImpl.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.polarsys.chess.chessmlprofile.Dependability.StateBased.StateBasedAnalysis.util</div>
<h2 title="Class StateBasedAnalysisResourceFactoryImpl" class="title">Class StateBasedAnalysisResourceFactoryImpl</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>org.eclipse.emf.ecore.resource.impl.ResourceFactoryImpl</li>
<li>
<ul class="inheritance">
<li>org.polarsys.chess.chessmlprofile.Dependability.StateBased.StateBasedAnalysis.util.StateBasedAnalysisResourceFactoryImpl</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>org.eclipse.emf.ecore.resource.Resource.Factory</dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">StateBasedAnalysisResourceFactoryImpl</span>
extends org.eclipse.emf.ecore.resource.impl.ResourceFactoryImpl</pre>
<div class="block"><!-- begin-user-doc -->
 The <b>Resource Factory</b> associated with the package.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedAnalysis/util/StateBasedAnalysisResourceImpl.html" title="class in org.polarsys.chess.chessmlprofile.Dependability.StateBased.StateBasedAnalysis.util"><code>StateBasedAnalysisResourceImpl</code></a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.eclipse.emf.ecore.resource.Resource.Factory">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from interface&nbsp;org.eclipse.emf.ecore.resource.Resource.Factory</h3>
<code>org.eclipse.emf.ecore.resource.Resource.Factory.Descriptor, org.eclipse.emf.ecore.resource.Resource.Factory.Registry</code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedAnalysis/util/StateBasedAnalysisResourceFactoryImpl.html#StateBasedAnalysisResourceFactoryImpl--">StateBasedAnalysisResourceFactoryImpl</a></span>()</code>
<div class="block">Creates an instance of the resource factory.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.resource.Resource</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedAnalysis/util/StateBasedAnalysisResourceFactoryImpl.html#createResource-org.eclipse.emf.common.util.URI-">createResource</a></span>(org.eclipse.emf.common.util.URI&nbsp;uri)</code>
<div class="block">Creates an instance of the resource.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="StateBasedAnalysisResourceFactoryImpl--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>StateBasedAnalysisResourceFactoryImpl</h4>
<pre>public&nbsp;StateBasedAnalysisResourceFactoryImpl()</pre>
<div class="block">Creates an instance of the resource factory.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="createResource-org.eclipse.emf.common.util.URI-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>createResource</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.resource.Resource&nbsp;createResource(org.eclipse.emf.common.util.URI&nbsp;uri)</pre>
<div class="block">Creates an instance of the resource.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>createResource</code>&nbsp;in interface&nbsp;<code>org.eclipse.emf.ecore.resource.Resource.Factory</code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>createResource</code>&nbsp;in class&nbsp;<code>org.eclipse.emf.ecore.resource.impl.ResourceFactoryImpl</code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/StateBasedAnalysisResourceFactoryImpl.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedAnalysis/util/StateBasedAnalysisAdapterFactory.html" title="class in org.polarsys.chess.chessmlprofile.Dependability.StateBased.StateBasedAnalysis.util"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedAnalysis/util/StateBasedAnalysisResourceImpl.html" title="class in org.polarsys.chess.chessmlprofile.Dependability.StateBased.StateBasedAnalysis.util"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../index.html?org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedAnalysis/util/StateBasedAnalysisResourceFactoryImpl.html" target="_top">Frames</a></li>
<li><a href="StateBasedAnalysisResourceFactoryImpl.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
